> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailcare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List emails



## OpenAPI

````yaml /openapi.yaml get /emails
openapi: 3.0.0
info:
  title: MailCare API
  version: '1.0'
  description: API documentation for MailCare
servers:
  - url: https://mailcare.io/api/teams/{teamId}
    variables:
      teamId:
        default: '0'
        description: The team identifier
security: []
paths:
  /emails:
    get:
      tags:
        - Emails
      summary: List emails
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 25
        - name: inbox
          in: query
          required: false
          schema:
            type: string
        - name: sender
          in: query
          required: false
          schema:
            type: string
        - name: subject
          in: query
          required: false
          schema:
            type: string
        - name: since
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: until
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: unread
          in: query
          required: false
          schema:
            type: boolean
        - name: favorite
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/vnd.mailcare.v1+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Email'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      path:
                        type: string
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
      security:
        - bearer_auth: []
components:
  schemas:
    Email:
      type: object
      properties:
        id:
          type: string
        sender:
          type: object
          properties:
            id:
              type: string
            display_name:
              type: string
            email:
              type: string
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
        inbox:
          type: object
          properties:
            id:
              type: string
            display_name:
              type: string
            email:
              type: string
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
        carbon_copies:
          type: array
          items:
            type: object
            properties:
              display_name:
                type: string
              email:
                type: string
        subject:
          type: string
        created_at:
          type: string
          format: date-time
        read:
          type: string
          format: date-time
        favorite:
          type: boolean
        has_html:
          type: boolean
        has_text:
          type: boolean
        size_in_bytes:
          type: integer
        attachments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              email_id:
                type: string
              headers_hashed:
                type: string
              file_name:
                type: string
              content_type:
                type: string
              size_in_bytes:
                type: integer
              created_at:
                type: string
                format: date-time
              updated_at:
                type: string
                format: date-time
              size_for_human:
                type: string
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````